NextGenEditor Plugin for JoomlaCK editor

More
3 years 11 months ago #3966 by tigreche
tigreche created the topic: NextGenEditor Plugin for JoomlaCK editor
Hi
I'm a new member. I'm installing NGE :
1 nextgeneditor_full_1.0.2 it's ok
2 jckplugin_nge_1.0.0 through jck install :not ok. See add file. What's wrong? :(

Thank for help.
Attachments:

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #3970 by alex.froger
alex.froger replied the topic: NextGenEditor Plugin for JoomlaCK editor
Hello,

Really sorry for the delay and thank you for your feedback.
- Can you give us more information about your configuration ? (computer configuration, navigator used and it's version, ...)
- What version of Joomla do you use?

Regards,
NGE TEAM

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #3976 by tigreche
tigreche replied the topic: NextGenEditor Plugin for JoomlaCK editor
Hello
I use Windows 10 with navigator Chrome 51.0.2704.63 and Joomla 3.5.1
I think I'm taking bad archive file to install the jckplugin.
In the "add files" I show my process :
1 - copy screen jck installer
2 - contain of archive
3 - result
Attachments:

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #3977 by tigreche
tigreche replied the topic: NextGenEditor Plugin for JoomlaCK editor
Excuse me, attachment files are wrong
1- screen jck installeur
2-contain archive
3- result
Attachments:

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #3978 by bertrand
bertrand replied the topic: NextGenEditor Plugin for JoomlaCK editor
Hi,
Can you give us the version of JCK?

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #3979 by tigreche
tigreche replied the topic: NextGenEditor Plugin for JoomlaCK editor
In dashboard jck-manager the version is 6.4.1

I dont upload this editor. I just choose jck editor in menu 'configuration' of backend joomla

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago - 3 years 11 months ago #3980 by bertrand
bertrand replied the topic: NextGenEditor Plugin for JoomlaCK editor
Finding error!!

Since JOOMLA 3.4.8, JCK plugins installer not working!

We are working to change installation for JCK's nge plugin.
Until we can purpose this installation, you can edit file administrator\components\com_jckman\helpers\installer.php and change in function loadAdapter, line 72
70.		if( !($adapter == 'plugin' || $adapter == 'language'))
71.		{
72.			throw new InvalidArgumentException(sprintf('The %s install adapter does not exist.', $adapter));
73.		}		
with :
70.		if( !($adapter == 'plugin' || $adapter == 'language'))
71.		{
72.			return null;
73.		}		
This is a temporary solution only for JCK version from 6.4.4, for minus version, you have to upgrade JCK editor
Last Edit: 3 years 11 months ago by bertrand.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #3981 by tigreche
tigreche replied the topic: NextGenEditor Plugin for JoomlaCK editor
I think you don't have the same "installer" than mine, because line 72 is in the middle of commentaries.
I give you my installer file in the attachment
Attachments:

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago - 3 years 11 months ago #3982 by bertrand
bertrand replied the topic: NextGenEditor Plugin for JoomlaCK editor
Ok Sorry, i've not take the good installer file.
You have to upgrade your JCK Editor to the last version you can get here : https://arkextensions.com/downloads/jck-editor/100-jck-suite-for-joomla-3x-v6-6-2/file

and after made the change in the installer file post #3980
Last Edit: 3 years 11 months ago by bertrand.

Please Log in or Create an account to join the conversation.

Powered by Kunena Forum